## Get project

### cURL

```
curl --request GET \
  --url https://api.braintrust.dev/v1/project/{project_id} \
  --header 'Authorization: Bearer <token>'
```

### Python

```
import requests

url = "https://api.braintrust.dev/v1/project/{project_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.braintrust.dev/v1/project/{project_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api.braintrust.dev/v1/project/{project_id}",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Bearer <token>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api.braintrust.dev/v1/project/{project_id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Unirest (Java)

```
HttpResponse<String> response = Unirest.get("https://api.braintrust.dev/v1/project/{project_id}")
  .header("Authorization", "Bearer <token>")
  .asString();
```

### Ruby

```
require 'uri'
require 'net/http'

url = URI("https://api.braintrust.dev/v1/project/{project_id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

### Response Status Codes

- 200
- 400
- 401
- 403
- 429
- 500

### Example Project JSON Response

```
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "settings": {
    "comparison_key": "<string>",
    "baseline_experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "spanFieldOrder": [
      {
        "object_type": "<string>",
        "column_id": "<string>",
        "position": "<string>",
        "layout": "full"
      }
    ],
    "remote_eval_sources": [
      {
        "url": "<string>",
        "name": "<string>",
        "description": "<string>"
      }
    ],
    "disable_realtime_queries": true,
    "monitor_charts_use_metrics_start": true,
    "blind_reviews": true,
    "default_preprocessor": {
      "type": "function",
      "id": "<string>",
      "version": "<string>"
    }
  }
}
```

### Authorizations

Authorization

- **Type:** string
- **Location:** header
- **Requirement:** required

Most Braintrust endpoints are authenticated by providing your API key as a header `Authorization: Bearer [api_key]` to your HTTP request. You can create an API key in the Braintrust organization settings page.

### Path Parameters

- **project_id** (required): The unique identifier for the project (string<uuid>)

### Response Structure

- **200**: application/json Returns the project object
- **id** (required): Unique identifier for the project (string<uuid>)
- **org_id** (required): Unique id for the organization that the project belongs under (string<uuid>)
- **name** (required): Name of the project (string)
- **description**: Textual description of the project (string | null)
- **created**: Date of project creation (string<date-time> | null)
- **deleted_at**: Date of project deletion, or null if the project is still active (string<date-time> | null)
- **user_id**: Identifies the user who created the project (string<uuid> | null)
- **settings**: Object containing project settings (object | null)
